Subject: Site Status Report and QBR
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Fri, 20 Apr 2001 21:58:00 -0700 (PDT)

Louise:

As a follow up to our conversation early this week, I will have a draft site status report to you on Tuesday. What we've done is to take the site option list previously provided to you, and add a status column and a cost basis column. I'd like to sit down with you and Dave Duran to go over this, and also other information on Q1 to make sure my group is on track from your perspective. I could have a QBR package to you by late next week or early the following, depending on when you would like to get together.

I hope you have a good weekend.

Regards,

Ben